aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/APPIMAGE_INSTALL.sh32
-rw-r--r--scripts/DYNAMIC_INSTALL.sh29
-rw-r--r--scripts/launch.sh10
3 files changed, 61 insertions, 10 deletions
diff --git a/scripts/APPIMAGE_INSTALL.sh b/scripts/APPIMAGE_INSTALL.sh
new file mode 100644
index 00000000..98eb538f
--- /dev/null
+++ b/scripts/APPIMAGE_INSTALL.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+# exit on error
+set -e
+
+# Move to script's directory
+SCRIPT_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)
+cd "${SCRIPT_DIR}"
+
+#add .desktop file (which should allow most DE's easy access to the program
+mkdir -p ~/.local/share/applications
+
+# desktop files don't like spaces in the Exec field, we have to replace them with "\s"
+appimage="$(echo Attorney_Online-*-x86_64.AppImage)"
+escaped_exec="$(echo "$(pwd)" | sed 's/ /\\s/g')"/"$appimage"
+
+desktop_file="\
+[Desktop Entry]
+Type=Application
+Name=Attorney Online
+Comment=The courtroom drama simulator
+Path=$(pwd)
+Exec=\"$escaped_exec\"
+Icon=$(pwd)/icon.png"
+
+echo "$desktop_file" > ~/.local/share/applications/'Attorney Online'.desktop
+
+#marking the program as executable
+chmod +x Attorney_Online-*-x86_64.AppImage
+
+#running the executable
+./Attorney_Online-*-x86_64.AppImage
diff --git a/scripts/DYNAMIC_INSTALL.sh b/scripts/DYNAMIC_INSTALL.sh
new file mode 100644
index 00000000..87b3715c
--- /dev/null
+++ b/scripts/DYNAMIC_INSTALL.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# exit on error
+set -e
+
+# Move to script's directory
+SCRIPT_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)
+cd "${SCRIPT_DIR}"
+
+#add .desktop file (which should allow most DE's easy access to the program
+mkdir -p ~/.local/share/applications
+
+# desktop files don't like spaces in the Exec field, we have to replace them with "\s"
+escaped_exec="$(echo "$(pwd)" | sed 's/ /\\s/g')"/Attorney_Online
+
+desktop_file="\
+[Desktop Entry]
+Type=Application
+Name=Attorney Online
+Comment=The courtroom drama simulator
+Path=$(pwd)
+Exec=\"$escaped_exec\"
+Icon=$(pwd)/icon.png"
+
+echo "$desktop_file" > ~/.local/share/applications/'Attorney Online'.desktop
+
+#running the program
+chmod +x Attorney_Online
+./Attorney_Online
diff --git a/scripts/launch.sh b/scripts/launch.sh
deleted file mode 100644
index bdae56d4..00000000
--- a/scripts/launch.sh
+++ /dev/null
@@ -1,10 +0,0 @@
-#!/bin/bash
-# Required to launch correctly
-
-# Move to AO's directory
-SCRIPT_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)
-cd "${SCRIPT_DIR}"
-
-# Run with correct linker path
-chmod +x Attorney_Online
-LD_LIBRARY_PATH=. ./Attorney_Online